dmr07 dmr07 - 1 month ago 7
iOS Question

CocoaPods: [!] Unable to find a specification for 'Surge4Swift3'

I'm new to CocoaPods. I just created a Github project and was hoping to include it in my Pods. It's giving me an error:

[!] Unable to find a specification for 'Surge4Swift3Plus'.


I've tried:

pod repo remove master
pod setup
pod install --verbose


Here's my Podfile:

target 'MyApp' do
use_frameworks!

pod 'Firebase/Core'
pod 'Firebase/Auth'
pod 'Firebase/Database'

pod 'GeoFire', :git => 'https://github.com/firebase/geofire-objc.git'
pod 'Surge4Swift3Plus', :git => 'https://github.com/dmr07/Surge4Swift3Plus.git'
end


Do I need to do something special for the Github project?

Answer Source

I don't believe you can include just any git repository in your Podfile. CocoaPods needs to know what it is first. See the below link about making a cocoapod. https://guides.cocoapods.org/making/making-a-cocoapod.html